/*****************************************************************
 * Copyright (c) ParaSoft Corporation 1991.  All rights reserved.*
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ParaSoft       *
 * The copyright notice above does not evidence any              *
 * actual or intended publication of such source code.           *
 *****************************************************************/

#include "extern.h"

source_dump_orig (file, line)
char *file;
int line;
{
	static FILE *fd = (FILE*) 0;
	static char *old_file = CN;
	static int i = 1;
	char buf [132];

	if (!flag_source || file == CN)
		return;

	if (old_file == CN) {

		if ((fd = fopen (input_filename, "r")) == (FILE*) 0) {
#ifdef CHECK
	SYSERR;
#endif
			return;
		}

		old_file = input_filename;

		ostart ();
		ostrnb ("C** TRANSLATION OF FILE [");
		ostrnb (file);
		och (']');
		oDon ();
	}
	else if (strcmp (old_file, input_filename))
		return;  /* ignores included files */

	if (i > 1) {
		ostart ();
		oDon ();
	}

	for (; i <= line; i++) {
		ostart ();
		ostrnb ("C**");
		oint ((long) i);
		ochb ('|');

		if (fgets (buf, 132, fd) != CN) {
			ostrnb (buf);
		}
		else {
#ifdef CHECK
			SYSERR;
#endif
			;
		}

		oend ();
	}

	ostart ();
	oDon ();
}
